Subject: Re: bug#8411: due to missing sync even on 2.6.39, cp fails to copy an odd file

From: Theodore Tso <[email-masked]>
Date: Sun, 3 Apr 2011 06:46:09 -0400

On Apr 3, 2011, at 6:12 AM, Pádraig Brady wrote:

> So this fix is not in 2.6.38?
> It was committed before 2.6.38-rc6 was released,
> and I would have thought it appropriate for 2.6.38 :(
> Anyway I guess that we now have to assume that there
> can be 2.6.38 kernels in the wild with this issue,
> even if the stable branch does get the fix soon.

Yeah, the patch was complicated enough that I was concerned about pushing it that late in the 2.6.38 development cycle.   When I was told that this feature was in a pre-release shellutils, I made the call not to try to rush things....  We can get it into a 2.6.38 stable release fairly quickly.

-- Ted